import 'package:json_annotation/json_annotation.dart';

import 'package:pshared/data/dto/payment/payment_quote.dart';

part 'quotes.g.dart';

@JsonSerializable()
class PaymentQuotesDTO {
  final String quoteRef;
  final String? idempotencyKey;
  final List<PaymentQuoteDTO>? items;

  const PaymentQuotesDTO({
    required this.quoteRef,
    this.idempotencyKey,
    this.items,
  });

  factory PaymentQuotesDTO.fromJson(Map<String, dynamic> json) =>
      _$PaymentQuotesDTOFromJson(json);
  Map<String, dynamic> toJson() => _$PaymentQuotesDTOToJson(this);
}
